Security Enhanced Linux Reference Policy

# Layer: apps

## Module: mplayer

Tunables Interfaces

### Description:

Mplayer media player and encoder.

### Tunables:

allow_mplayer_execstack

##### Default value

false

##### Description

Determine whether mplayer can make its stack executable.

mplayer_manage_all_user_content

##### Default value

false

##### Description

Grant the mplayer domains manage rights on all user content

mplayer_manage_generic_user_content

##### Default value

false

##### Description

Grant the mplayer domains manage rights on generic user content

mplayer_mencoder_manage_all_user_content

##### Default value

false

##### Description

Grant the mplayer_mencoder domains manage rights on all user content

mplayer_mencoder_manage_generic_user_content

##### Default value

false

##### Description

Grant the mplayer_mencoder domains manage rights on generic user content

mplayer_mencoder_read_all_user_content

##### Default value

false

##### Description

Grant the mplayer_mencoder domains read access to all user content

mplayer_mencoder_read_generic_user_content

##### Default value

true

##### Description

Grant the mplayer_mencoder domains read access to generic user content

mplayer_read_all_user_content

##### Default value

false

##### Description

Grant the mplayer domains read access to all user content

mplayer_read_generic_user_content

##### Default value

true

##### Description

Grant the mplayer domains read access to generic user content

Return

### Interfaces:

mplayer_domtrans( domain )

##### Summary

Run mplayer in mplayer domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mplayer_exec( domain )

##### Summary

Execute mplayer in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mplayer_home_filetrans_mplayer_home( domain , object_class , name )

##### Summary

Create specified objects in user home directories with the generic mplayer home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

mplayer_manage_generic_home_content( domain )

##### Summary

Create, read, write, and delete generic mplayer home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mplayer_read_user_home_files( domain )

##### Summary

Read mplayer user home content files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mplayer_role( role , domain )

##### Summary

Role access for mplayer

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

Return